### Hierarchy

- unknown
  - TakeOfferReply

## Index

### Constructors

- constructor

### Methods

- clearFailureReason
- clearTrade
- getFailureReason
- getTrade
- hasFailureReason
- hasTrade
- serializeBinary
- setFailureReason
- setTrade
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TakeOfferReply(): TakeOfferReply

- Inherited from jspb.Message.constructor

  #### Returns TakeOfferReply

## Methods

### clearFailureReason

- clearFailureReason(): TakeOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:2304

  #### Returns TakeOfferReply

### clearTrade

- clearTrade(): TakeOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:2299

  #### Returns TakeOfferReply

### getFailureReason

- getFailureReason(): undefined | AvailabilityResultWithDescription

- - Defined in src/protobuf/grpc_pb.d.ts:2301

  #### Returns undefined | AvailabilityResultWithDescription

### getTrade

- getTrade(): undefined | TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2296

  #### Returns undefined | TradeInfo

### hasFailureReason

- hasFailureReason(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2303

  #### Returns boolean

### hasTrade

- hasTrade(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2298

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2306

  #### Returns Uint8Array

### setFailureReason

- setFailureReason(value?: AvailabilityResultWithDescription ): TakeOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:2302

  #### Parameters

  - ##### Optional value: AvailabilityResultWithDescription

  #### Returns TakeOfferReply

### setTrade

- setTrade(value?: TradeInfo ): TakeOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:2297

  #### Parameters

  - ##### Optional value: TradeInfo

  #### Returns TakeOfferReply

### toObject

- toObject(includeInstance?: boolean): TakeOfferReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2307

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TakeOfferReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TakeOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:2310

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TakeOfferReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TakeOfferReply, reader: BinaryReader): TakeOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:2311

  #### Parameters

  - ##### message: TakeOfferReply

  - ##### reader: BinaryReader

  #### Returns TakeOfferReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TakeOfferReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2309

  #### Parameters

  - ##### message: TakeOfferReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TakeOfferReply ): TakeOfferReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2308

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TakeOfferReply

  #### Returns TakeOfferReply . AsObject

Generated using TypeDoc